Description

Currently, the PostGIS Layers dialog can take a long time to be ready to use if it has to process a lot of tables or views without clearly

defined geometry types. The Add button is disabled until all such tables/views are processed.

Really, there's no reason to force users to wait for this dialog to process every last table/view. If the tables/views the user needs already

have detected geometry types, then the user should be able to select them and click Add even if other tables/views are being processed.

And if the user happened to Add a table/view that still doesn't have the geometry type discovered, the dialog should abort detection on all

other tables/views and just process the selected ones that still need discovery.

Proposal: Add is enabled/clickable as soon as at least one table/view has a detected type, and if I double-click on a table/view or select 

Add after selecting 1 or more tables/views, then the detecting stops (except for selected tables/views with undetected geometry types),

and the selected tables are added as layers.

History

#1 - 2012-11-08 07:04 AM - Jürgen Fischer

You can stop the search by clicking on the "stop" button (ie. clicking the connect button again)

#2 - 2012-11-08 07:27 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2013-02-17 01:24 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for the lack of feedback.

#4 - 2013-02-17 06:56 AM - Aren Cambre

Sorry, I didn't understand what the feedback state meant.

This issue is not a support request. I am aware of the stop button. This issue is pointing out unnecessary delays that could be eliminated by improving the

UI.

Please reopen.

2024-04-27 1/1


